﻿.data-table {
    float: left;
    width: 100%;
    overflow: auto;
}

    .data-table table {
        width: 1500px;
    }

        .data-table table thead {
            padding: 0;
            background-size: contain;
            /* background: #f28500;
     background: -webkit-linear-gradient(top, #f28500cf 2%,#866d1af5 100%);
    */
            background: #8e7547;
        }

            .data-table table thead tr th {
                color: #fff;
                font-family: 'roboto-bold';
                vertical-align: middle;
                padding: 8px 4px;
                font-size: 13px;
                font-weight: bold;
                padding-right: 0;
                border-right: 1px solid #fff;
                border-bottom: 0;
            }

        .data-table table tbody tr {
            background-color: #eff3f6
        }

            .data-table table tbody tr:nth-child(even) {
                background-color: #fafbff;
            }
    /* table scroll*/
    .data-table table {
        width: 100%;
        display: block;
    }

        .data-table table thead {
            display: inline-block;
            width: 100%;
        }

        .data-table table tbody {
            height: 447px;
            display: inline-block;
            width: calc(100% - 1px);
            overflow: auto;
            border-bottom: 1px solid #ddd;
        }

tbody::-webkit-scrollbar {
}

.data-table table thead tr th {
    color: #fff;
    font-family: 'roboto-bold';
    vertical-align: middle;
    padding: 8px 4px;
    font-size: 13px;
    font-weight: bold;
    padding-right: 0;
    border-right: 1px solid #fff;
    border-bottom: 0;
}

.data-table table thead tr th, .data-table table tbody tr td {
    text-align: center;
}
/* table scroll*/
.chemId-col {
    width: 180px;
}

.before-change-col, .after-change-col {
    width: 350px;
}

.actions-col, .date-col {
    width: 20%;
}

.data-table table thead tr th p label span {
    width: 100%;
    display: block;
    font-size: 10px;
    position: relative;
}

    .data-table table thead tr th p label span.glyphicon-chevron-down:before {
        content: "";
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 5px 5px 0 5px;
        border-color: #fff transparent transparent transparent;
        top: -7px;
        position: absolute;
    }

    .data-table table thead tr th p label span.glyphicon-chevron-up:before {
        content: "";
        width: 0;
        height: 0;
        border-style: solid;
        border-width: 0 5px 5px 5px;
        border-color: transparent transparent #fff transparent;
        top: -14px;
        position: absolute;
    }

.data-table table thead tr th p {
    margin: 0;
    position: relative;
    display: inline-block;
    padding-right: 20px;
    width: 100%;
    padding: 8px 0;
}

    .data-table table thead tr th p label {
        position: absolute;
        right: 14px;
        top: 25px;
    }

td.full-td {
    width: 1370px !important;
    text-align: center !important;
}



.results {
    float: left;
}

pagination {
    margin: 0;
}

.pagination li a {
    color: #000;
    padding: 5px 5px;
    line-height: 24px;
    border: 0;
}

    .pagination li a .prev-arrow {
        width: 25px;
        height: 25px;
        position: relative;
        border: 1px solid #c5c5c5;
        border-radius: 5px;
        display: inline-block;
        background-color: #ececec;
    }

        .pagination li a .prev-arrow:before {
            content: "";
            position: absolute;
            border-left: 2px solid #000;
            border-bottom: 2px solid #000;
            width: 10px;
            height: 10px;
            transform: rotateZ(41deg);
            left: 8px;
            display: inline-block;
            top: 6px;
        }

    .pagination li a .next-arrow {
        width: 25px;
        height: 25px;
        position: relative;
        border: 1px solid #c5c5c5;
        border-radius: 5px;
        display: inline-block;
        background-color: #ececec;
    }

        .pagination li a .next-arrow:before {
            content: "";
            position: absolute;
            border-left: 2px solid #000;
            border-bottom: 2px solid #000;
            width: 10px;
            height: 10px;
            transform: rotateZ(228deg);
            left: 6px;
            display: inline-block;
            top: 6px;
        }

    .pagination li a input {
        width: auto;
        border: 1px solid #ccc;
        padding-left: 12px;
        -webkit-appearance: none;
        border-radius: 5px;
        height: 25px;
    }

.page-select select {
    padding: 5px;
    border: 1px solid #ccc;
    font-family: 'roboto-light';
    font-size: 12px;
}

.activity_log_title {
    padding-left: 0 !important;
}

.error_list {
    float: left;
    width: 100%;
    list-style: none;
    height: 150px;
    background: gainsboro;
    border: 1px solid #f00;
    border-radius: 5px;
    overflow-x: auto;
}
.error_div {
    height: 180px;
    transition: all 0.5s ease-in-out;
}
[hidden].error_div {
    display: block !important;
    height: 0px;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
}
    [hidden].error_div .error_list {
        display: block !important;
        height: 0px;
        overflow: hidden;
        transition: all 0.5s ease-in-out;
    }
    .error_list li {
    float: left;
    padding: 5px;
    color: #f00;
    width: 310px;
    font-size: 13px;
    font-weight: bold;
}

.error_title {
    float: left;
    font-size: 16px;
    font-weight: bold;
    padding: 5px 0;
    color: #f00;
}

.close_btn_modal {
    float: right;
    color: red;
    font-size: 21px;
    border: 1px solid #f00;
    border-radius: 25px;
    width: 25px;
    height: 25px;
    margin-top: 10px;
    padding-left: 6px;
    line-height: 21px;
    cursor: pointer;
}

.activity_log_title {
    padding: 10px 15px;
    background: #f4f2f3;
    margin: 0;
    font-size: 16px;
}

.full-width {
    width: 1350px;
    margin: auto;
}

    .full-width:after {
        content: "";
        display: table;
        clear: both;
    }
